develooper Front page | perl.perl5.porters | Postings from September 2011

Re: Some preliminary cpan smoking reports

Thread Previous | Thread Next
From:
Jesse Luehrs
Date:
September 4, 2011 14:38
Subject:
Re: Some preliminary cpan smoking reports
Message ID:
20110904213755.GA22850@tozt.net
On Sun, Sep 04, 2011 at 02:32:46PM -0700, Chip Salzenberg wrote:
> On Sun, Sep 4, 2011 at 1:26 PM, Reverend Chip <rev.chip@gmail.com> wrote:
> > There may be something else unexplained going on.  I just did a
> > perlbrew-like localized installation of magicflags1 branch, and used
> > cpanm to build Moose 2.0204, and it compiled and passed its self tests,
> > which I'm happy about of course.  But the smoke report suggests that
> > should not have worked.
> 
> Actually the smoke test said that 2.0004 is the one that failed, not 2.0204.
>  I have reproduced the failure.  But the failure seems unrelated to
> magicflags1; it's in t/basics/require_superclasses.t and has to do with
> version satisfaction.  And 2.0204 does work with magicflags1.  So I think
> it's a non-issue for both the patch and the smoke process (except insofar as
> the smoke needs a bit of a CPAN index update :-)).

Yes, Moose 2.0203 fixed a bug related to version objects, which we only
just recently noticed because current blead converts more things to
version objects than happened previously.

-doy

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About